import { CommonModule } from '@angular/common';
import { NgModule, inject } from '@angular/core';
import { ActivatedRouteSnapshot, RouterModule, RouterStateSnapshot, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { BatchIntegrityReportComponent } from './batch-integrity-report.component';
import { BatchIntegrityResolverService } from './batch-integrity-resolver.service';

const batchIntegrityRoutes: Routes = [
  {
    path: '',
    component: BatchIntegrityReportComponent,
    canActivate: [
      (route: ActivatedRouteSnapshot, state: RouterStateSnapshot) => inject(AuthGuard).canActivate(route, state),
    ],
    data: {
      permission: 'Product Ledger',
    },
    resolve: {
      info: () => inject(BatchIntegrityResolverService).resolve(),
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(batchIntegrityRoutes)],
  exports: [RouterModule],
  providers: [BatchIntegrityResolverService],
})
export class BatchIntegrityReportRoutingModule {}
