import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { ClosingStock } from './closing-stock';
import { ClosingStockService } from './closing-stock.service';

@Injectable({
  providedIn: 'root',
})
export class ClosingStockResolver {
  constructor(private ser: ClosingStockService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<ClosingStock> {
    const date = route.paramMap.get('date');
    const costCentre = route.queryParamMap.get('d') || null;
    return this.ser.list(date, costCentre);
  }
}
