import { CommonModule } from '@angular/common';
import { NgModule, inject } from '@angular/core';
import { ActivatedRouteSnapshot, RouterModule, RouterStateSnapshot, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { EntriesResolver } from './entries-resolver.service';
import { EntriesComponent } from './entries.component';

const entriesRoutes: Routes = [
  {
    path: '',
    component: EntriesComponent,
    canActivate: [
      (route: ActivatedRouteSnapshot, state: RouterStateSnapshot) => inject(AuthGuard).canActivate(route, state),
    ],
    data: {
      permission: 'Ledger',
    },
    resolve: {
      info: (route: ActivatedRouteSnapshot) => inject(EntriesResolver).resolve(route),
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(entriesRoutes)],
  exports: [RouterModule],
  providers: [EntriesResolver],
})
export class EntriesRoutingModule {}
