import { CommonModule } from '@angular/common';
import { NgModule, inject } from '@angular/core';
import { ActivatedRouteSnapshot, RouterModule, RouterStateSnapshot, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { NonContractPurchaseResolverService } from './non-contract-purchase-resolver.service';
import { NonContractPurchaseComponent } from './non-contract-purchase.component';

const nonContractPurchaseRoutes: Routes = [
  {
    path: '',
    component: NonContractPurchaseComponent,
    canActivate: [
      (route: ActivatedRouteSnapshot, state: RouterStateSnapshot) => inject(AuthGuard).canActivate(route, state),
    ],
    data: {
      permission: 'Product Ledger',
    },
    resolve: {
      info: () => inject(NonContractPurchaseResolverService).resolve(),
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(nonContractPurchaseRoutes)],
  exports: [RouterModule],
  providers: [NonContractPurchaseResolverService],
})
export class NonContractPurchaseRoutingModule {}
