import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { PurchaseEntries } from './purchase-entries';
import { PurchaseEntriesService } from './purchase-entries.service';

@Injectable({
  providedIn: 'root',
})
export class PurchaseEntriesResolver {
  constructor(private ser: PurchaseEntriesService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<PurchaseEntries> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.list(startDate, finishDate);
  }
}
