import { CommonModule } from '@angular/common';
import { NgModule, inject } from '@angular/core';
import { ActivatedRouteSnapshot, RouterModule, RouterStateSnapshot, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { PurchasesResolver } from './purchases-resolver.service';
import { PurchasesComponent } from './purchases.component';

const purchasesRoutes: Routes = [
  {
    path: '',
    component: PurchasesComponent,
    canActivate: [
      (route: ActivatedRouteSnapshot, state: RouterStateSnapshot) => inject(AuthGuard).canActivate(route, state),
    ],
    data: {
      permission: 'Purchases',
    },
    resolve: {
      info: (route: ActivatedRouteSnapshot) => inject(PurchasesResolver).resolve(route),
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(purchasesRoutes)],
  exports: [RouterModule],
  providers: [PurchasesResolver],
})
export class PurchasesRoutingModule {}
