import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Recipe } from './recipe';
import { RecipeService } from './recipe.service';

@Injectable({
  providedIn: 'root',
})
export class RecipeListResolver {
  constructor(private ser: RecipeService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Recipe[]> {
    const period = route.queryParamMap.get('p') || null;
    return this.ser.list(period);
  }
}
