import { ProductSku } from '../core/product-sku';

import { RecipeItem } from './recipe-item';

export class Recipe {
  id: string | undefined;
  date: string;
  source: string;
  instructions: string;
  garnishing: string;
  plating: string;
  sku: ProductSku;
  recipeYield: number;
  notes: string;
  items: RecipeItem[];
  units: string | undefined;
  productGroupId: string | undefined;

  public constructor(init?: Partial<Recipe>) {
    this.date = '';
    this.source = '';
    this.instructions = '';
    this.garnishing = '';
    this.plating = '';
    this.sku = new ProductSku();
    this.recipeYield = 0;
    this.notes = '';
    this.items = [];
    Object.assign(this, init);
  }
}
